## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XalanFileOutputStream::XalanFileOutputStreamOpenException Class Reference

`#include <XalanFileOutputStream.hpp>`

Inheritance diagram for XalanFileOutputStream::XalanFileOutputStreamOpenException:

[legend]
Collaboration diagram for XalanFileOutputStream::XalanFileOutputStreamOpenException:

[legend]
List of all members.

## Public Methods

- XalanFileOutputStreamOpenException (const XalanDOMString &theFileName, int theErrorCode, XalanDOMString &theBuffer)
    Construct an XalanFileOutputStreamOpen exception object for an exception that occurred on opening a text file stream. More...
- virtual ~XalanFileOutputStreamOpenException ()
- virtual const XalanDOMChar* getType () const
    Retrieve type of exception. More...

## Static Public Methods

- XalanFileOutputStreamOpenException* create (MemoryManagerType &theManager, const XalanDOMString &theFileName, int theErrorCode, XalanDOMString &theBuffer)

## Constructor & Destructor Documentation

XalanFileOutputStream::XalanFileOutputStreamOpenException::XalanFileOutputStreamOpenException ( | const XalanDOMString & theFileName,
| int theErrorCode,
| XalanDOMString & theBuffer )

  | Construct an XalanFileOutputStreamOpen exception object for an exception that occurred on opening a text file stream. Parameters:
  theFileName | name of file causing the exception
  theErrorCode | number of error encountered

XalanFileOutputStream::XalanFileOutputStreamOpenException::~XalanFileOutputStreamOpenException ( | )`[virtual]`

## Member Function Documentation

XalanFileOutputStreamOpenException * XalanFileOutputStream::XalanFileOutputStreamOpenException::create ( | MemoryManagerType & theManager,
| const XalanDOMString & theFileName,
| int theErrorCode,
| XalanDOMString & theBuffer )`[static]`

const XalanDOMChar * XalanFileOutputStream::XalanFileOutputStreamOpenException::getType ( | ) const`[virtual]`

| Retrieve type of exception. Returns: type of exception Reimplemented from XalanOutputStream::XalanOutputStreamException.

The documentation for this class was generated from the following file:

- XalanFileOutputStream.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.